#### 7.10.2.7 crystallographicGroupP1

Procedure from library `fpalgebras.lib` (see fpalgebras_lib).

Usage:
  crystallographicGroupP1(d); d an integer

Return:
  ring

Note:
  - the ring contains the ideal I, which contains the required relations - p1 group with the following presentation
  < x, y | [x, y] = 1 >
  -d gives the degreebound for the Letterplace ring

Example:

    LIB "fpalgebras.lib";
    def R = crystallographicGroupP1(5); setring R;
    I;
    ==> I[1]=y*x+x*y+1
    ==> I[2]=X*x+1
    ==> I[3]=x*X+1
    ==> I[4]=y*Y+1
    ==> I[5]=Y*y+1

User manual for Singular version 4.4.1, 2025, generated by texi2html.